#main1 {
    background-color: #FFF;
    border: 1px solid #cdcdcd;
    border-top: none;
    padding: 0 8px 8px 8px;
}

#main1 a {
    text-decoration: none;
}

#mainh3 {
    font-size: 15px;
    line-height: 40px;
    text-align: center;
}

#hengfu a {
    margin-bottom: 10px;
    transition: transform 0.3s ease;
}

#hengfu a:hover {
    transform: translateY(-3px); /* 上移3像素，负值表示向上移动 */
}

#hengfu img {
    border: 1px solid #eee;
    width: 100%;
    height: auto;
    max-width: 1200px;
    display: block;
}

.hengfuText {
    transition: transform 0.3s ease;
    padding: 0 15px 0;
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 10px;
    height: 45px;
    background-color: #ffcccc;
    text-align: center;
    text-decoration: none;
    color: #383838;
}

.hengfuText:nth-child(even) {
    background-color: #ffe3a1;
}

.hengfuText h2 {
    font-weight: normal;
    font-size: 1.6em;
}

.hengfuText h3 {
    font-weight: normal;
    font-size: 1.2em;
}

.hengfuText p {
    font-size: 1.2em;
}


.hengfuText:hover {
    transform: translateY(-3px); /* 上移3像素，负值表示向上移动 */
}

#gezi {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

#gezi figure {
    max-width: 138px; /* 最大宽度限制 */
    margin: 0;
    display: flex;
    flex-direction: column;
    transition: transform 0.3s ease; 
    margin-bottom: 10px;
}

#gezi figure:hover {
    transform: translateY(-3px); /* 上移3像素，负值表示向上移动 */
}


#gezi figure a {
    display: block;
    text-decoration: none;
    color: #333;
}

#gezi img {
    width: 100%;
    height: auto;
    max-width: 138px;
    display: block;
    border: 1px solid #eee;
}


#gezi figcaption {
    font-size: 13px;
    line-height: 1.4;
    padding: 5px 0;
/*    min-height: 35px; /* 保持标题区域高度一致 */*/
    
    /* 多行文字截断 */
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}